From 9e457018915999ca26b372e9291a0793f0b5fdaa Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 12 2020 04:55:48 +0000
Subject: [PATCH 1041/2232] Set default flavor of buck rust library build operations


Previously e.g. `buck build :cxx` was surprisingly a no-op, requiring
one to build `:cxx#check` or `:cxx#rlib-pic` in order to perform any
compiler invocation at all.

defaults.rust_library.type is a recent feature (landed in facebook/buck@c425eb93e1d4aa7768e40a7bccf8601698c5cddd),
hence the bump of the Buck commit pulled in for CI.

---

diff --git a/.buckconfig b/.buckconfig
index 3e5092d..5c6c995 100644
--- a/.buckconfig
+++ b/.buckconfig
@@ -18,3 +18,6 @@
       -Clink-arg=-fuse-ld=lld \
       -Crelocation-model=dynamic-no-pic \
       --cap-lints=allow
+
+[defaults.rust_library]
+  type = check
